<div class="container">
  @if (showIcon && selectedEnumItem) {
    <sqtm-core-i18n-enum-icon
      class="m-r-10 table-icon-size flex-fixed-size"
      [i18nEnumItem]="selectedEnumItem"
      [i18nEnum]="levelEnum"
      [disableTooltip]="true"
    >
    </sqtm-core-i18n-enum-icon>
  }
  <sqtm-core-editable-select-field
    class="full-width"
    [layout]="layout"
    [edit]="edit"
    [editable]="editable"
    [size]="size"
    [options]="options"
    [value]="selectedEnumItem"
    [excludedKeys]="excludedKeys"
    (confirmEvent)="confirm($event)"
    (toggleEditEvent)="toggleEdit($event)"
    #child
  >
  </sqtm-core-editable-select-field>
</div>
